Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class ShowHTTPHeaders

    java.lang.Object
      com.beasys.commerce.util.ShowHTTPHeaders

Deprecated Use `ShowHTTPHeaders`

    @Deprecated
    public class ShowHTTPHeaders

extends Object

A command-line utility to display open an URL and display the HTTP headers coming back from the server.

This can also optionally display the body.

Usage: java com.beasys.commerce.util.ShowHTTPHeaders url [-body] [-verbose]
Specifying the -body option will print the body of the URL as well.
Specifying the -verbose option will display debug messages.

Constructor Summary
`ShowHTTPHeaders()` Deprecated

Method Summary
`static void` | `main(String[] args)` Deprecated Command-line entry point.
`static void` | `usage(PrintStream out)` Deprecated Print a usage statement to the output stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShowHTTPHeaders

    public ShowHTTPHeaders()

  Deprecated

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Deprecated
  Command-line entry point.

  Throws
    `Exception` - thrown on any failure (generally either a MalformedURLException or an IOException).

### usage

    public static void usage(PrintStream out)

  Deprecated
  Print a usage statement to the output stream.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.